<?php
/**
* @version $Id: fileio.php Thu Dec 22 23:06:37 WST 2005 shaynebartlett
* @package J! Whois
* @copyright Copyright (C) 2005 theJ!factory. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* J! Whois is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// NO DIRECT ACCESS
defined( '_VALID_MOS' ) or die( 'Restricted access' );


/* ------------------------------------------------------------------ */
//	Class holds file management functions (self-explanatory)
/* ------------------------------------------------------------------ */

class EP_Dev_Whois_Admin_File_IO
{
	var $handle;
	var $file;
	var $position;
	var $ERROR;

	function EP_Dev_Whois_Admin_File_IO($filename, &$error_handle)
	{
		$this->ERROR = $error_handle;
		$this->file = $filename ;
	}

	function open()
	{
		// clear all cached file sizes, etc
		clearstatcache();

		// stop those aweful magic quotes.
		ini_set("magic_quotes_runtime", "0");

		// Open up file for reading & writing (r+) and binary mode (b) for Windows compat
		$this->handle = fopen($this->file, "r+b")
			or $this->ERROR->stop("bad_permissions");

		// Lock file for writing (LOCK_EX) as we probably will be.
		flock($this->handle, LOCK_EX);
	}

	function read($size = 0)
	{
		// read $size bytes from file
		if (!$size)
			$size = filesize($this->file);

		$contents = fread($this->handle, $size)
			or $this->ERROR->stop("bad_permissions");

		return $contents;
	}

	function write($data)
	{
		// Write $data to file
		fwrite($this->handle, $data)
			or $this->ERROR->stop("bad_permissions");
	}

	function seek($pos)
	{
		// Move file pointer to $pos
		if(!fseek($this->handle, $pos))
			$this->position = $pos;
	}

	function writeNew($data)
	{
		// Place file pos at front of file.
		if (rewind($this->handle))
			$this->position = 0;
		
		// Truncate file to 0 bytes
		$this->truncate();

		// Write new file
		$this->write($data);
	}

	function truncate($size = 0)
	{
		// Truncate file to $size
		ftruncate($this->handle, $size)
			or $this->ERROR->stop("bad_permissions");
	}

	function close()
	{
		// Unlock (not needed)
		flock($this->handle, LOCK_UN);

		// Close file
		fclose($this->handle);

		// restore those superb magic quotes.
		ini_restore("magic_quotes_runtime");
	}

}